%define upstream_name    CryptX
%define upstream_version 0.034

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Symetric cipher SAFER_SK128, key size: 128 bits (Crypt::CBC compliant)
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MI/MIK/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
Cryptography in CryptX is based on https://github.com/libtom/libtomcrypt

Currently available modules:

* * Ciphers - see the Crypt::Cipher manpage and related modules

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat May 28 2016 shlomif <shlomif> 0.34.0-1.mga6
+ Revision: 1019198
- New version 0.034

* Sun May 08 2016 shlomif <shlomif> 0.32.0-1.mga6
+ Revision: 1010576
- update to 0.032

* Sat Apr 30 2016 shlomif <shlomif> 0.30.0-1.mga6
+ Revision: 1008122
- imported package perl-CryptX

